## Index

### Type aliases

- CallBackForEach

### Functions

- forEach

## Type aliases

### CallBackForEach

CallBackForEach: function

- Defined in methods/foreach.ts:2

returns nothing

#### Type declaration

- - (value: T, index?: undefined | number, collection?: T[]): Promise<void>

  - #### Parameters

    - ##### value: T

    - ##### Optional index: undefined | number

    - ##### Optional collection: T[]

    #### Returns Promise<void>

## Functions

### forEach

- forEach<T>(elements: T[], cb: CallBackForEach<T>): Promise<void>

- - Defined in methods/foreach.ts:17

  Async ForEach function

  export
  template

    T

  #### Type parameters

  - #### T

  #### Parameters

  - ##### elements: T[]

  - ##### cb: CallBackForEach<T>

  #### Returns Promise<void>

Generated using TypeDoc